Bug 222223 - Cannot deactivate LV with Conga
Cannot deactivate LV with Conga
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stanko Kupcevic
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-10 17:18 EST by Paul Kennedy
Modified: 2015-04-19 20:47 EDT (History)
7 users (show)

See Also:
Fixed In Version: RC
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-07 21:13:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Kennedy 2007-01-10 17:18:49 EST
Description of problem:
Tried to remove a clustered LV. Received error message:
 An error has occurred while commiting[sic] changes:
 Reason for failure (as reported by tng3-3.lab.msp.redhat.com):lvremove failed


It appears that Conga does not deactivate an LV before attempting to remove it.
Also, there appears to be no way to deactivate an LV from Conga.

In addition, the error message spells "committing" incorrectly.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create VG.
2. Create LV.
3. Remove LV.
4. Error message is displayed.
  
Actual results:
Dialog box is displayed with error message.

Expected results:
Expect confirmation that LV has been removed. 

Additional info:
Workaround:
1. Log in to node as root.
2. Run lvchange -an <lv>
3. Run lvscan to verify that lv is deactivated.
4. Ether run lvremove at command line or go back to Conga and remove lv. (At
this point, it is probably more convenient to stay at the command line.
Comment 3 Stanko Kupcevic 2007-01-16 12:15:11 EST
Fix in CVS 
Comment 4 Stanko Kupcevic 2007-01-17 10:29:53 EST
Fixed in 0.8-28_el5
Comment 5 RHEL Product and Program Management 2007-02-07 21:13:32 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.